Bug 8399 - Mono MCS throws internal compiler error when reading "System.ServiceModel.Security.IssuedTokenServiceCredential" from .NET assembly
Summary: Mono MCS throws internal compiler error when reading "System.ServiceModel.Sec...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2012-11-14 13:28 UTC by Brett van Swelm
Modified: 2012-11-15 11:02 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Brett van Swelm 2012-11-14 13:28:38 UTC
Mono MCS throws internal compiler error when reading "System.ServiceModel.Security.IssuedTokenServiceCredential" from .NET assembly.

With "D:\Applications\Mono-2.11.4\bin" and "C:\Windows\Microsoft.NET\Framework\v4.0.30319" in the path on my Windows 7 machine:

===== loadingtype.rsp =====
/reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\System.dll"
/reference:"C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\System.ServiceModel.dll"
LoadingTypeError.cs
===== end =====

===== LoadingTypeError.cs =====
using System;
using System.ServiceModel;
using System.ServiceModel.Security;

public class LoadingTypeError {
    public static void Main(String[] args) {
        ServiceHost sh = new ServiceHost(typeof(String));
        sh.Credentials.IssuedTokenAuthentication.CertificateValidationMode = X509CertificateValidationMode.PeerOrChainTrust;
    }
}
===== end =====

$ csc /noconfig @loadingtype.rsp
Microsoft (R) Visual C# Compiler version 4.0.30319.17929
for Microsoft (R) .NET Framework 4.5
Copyright (C) Microsoft Corporation. All rights reserved.

$ mcs /noconfig @loadingtype.rsp
LoadingTypeError.cs(8,50): error CS0584: Internal compiler error: Unexpected error when loading type `System.ServiceModel.Security.IssuedTokenServiceCredential'
LoadingTypeError.cs(8,50): error CS0201: Only assignment, call, increment, decrement, await, and new object expressions can be used as a statement
Compilation failed: 2 error(s), 0 warnings

Thanks,

Brett van Swelm | Senior Engineer
Coverity | 185 Berry Street | Suite 6500, Lobby 3 | San Francisco, CA 94107
The Leader in Development Testing
Read our profile in Forbes, Coverity Gets Code Right 25% Faster
Comment 1 Marek Safar 2012-11-15 11:02:37 UTC
Should be fixed in master

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.